Subject: bug#24153: 25.1; Feature request: per-buffer cursor-color variable

From: Tej Chajed <[email-masked]>
Date: Thu, 4 Aug 2016 11:08:12 -0400

Currently there's a per-buffer cursor-type variable that is respected
per window and a single cursor-color variable that applies to the
entire frame.

Evil emulates a per-window cursor color in order to have the cursor
color of the active window reflect the buffer state (eg,
distinguishing insert and normal mode). It does so by advising
set-window and calling set-cursor-color if necessary; this can lead to
slowdowns when code calls set-window repeatedly (eg, through
with-selected-window).

It seems like the right way for evil to manage the cursor color is to
have an analogous per-buffer cursor-color variable natively provided
by emacs. Is this a doable feature?

Thanks!
Tej